Pular para o conteúdo principal
PUT
/
crm
/
v3
/
lists
/
{listId}
/
update-list-name
cURL
curl --request PUT \
  --url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-name \
  --header 'Authorization: Bearer <token>'
{
  "updatedList": {
    "listId": "<string>",
    "listVersion": 123,
    "name": "<string>",
    "objectTypeId": "<string>",
    "processingStatus": "<string>",
    "processingType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "filterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": true,
                "operationType": "BOOL",
                "operator": "<string>",
                "value": true
              },
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-07T05:31:56Z",
    "listPermissions": {
      "teamsWithEditAccess": [
        123
      ],
      "usersWithEditAccess": [
        123
      ]
    },
    "membershipSettings": {
      "includeUnassigned": true,
      "membershipTeamId": 123
    },
    "size": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedById": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

listId
string
obrigatório

Parâmetros de consulta

includeFilters
boolean
padrão:false
listName
string

Resposta

successful operation

The updated definition of the list in response to a list update request.

updatedList
object

An object list definition.

Last modified on May 27, 2026